include "basics/pts.ma".
include "bool.ma".
include "connectives.ma".
include "leibniz.ma".
axiom nat : Type[0].
axiom S : nat -> nat.
axiom match_nat_type : \forall return_ : Type[0] . return_ -> (nat -> return_) -> nat -> return_.
axiom leb : nat -> nat -> bool.
axiom leb_body : nat -> nat -> bool.
axiom axiom_leb_body_S : \forall (n:nat). (equal) (nat -> bool) ((leb_body)  ((S)  n)) (\lambda m : nat. (match_nat_type) (bool) (false)  (\lambda q : nat. (leb)  n q) m).
definition eq_leb_body_S : \forall (n:nat). (leibniz) (nat -> bool) ((leb_body)  ((S)  n)) (\lambda m : nat. (match_nat_type) (bool) (false)  (\lambda q : nat. (leb)  n q) m) := \lambda n : nat. ((((equal_leibniz) (nat -> bool)) ((leb_body)  ((S)  n))) (\lambda m : nat. (match_nat_type) (bool) (false)  (\lambda q : nat. (leb)  n q) m)) ((axiom_leb_body_S) (n)).
definition sym_eq_leb_body_S : \forall (n:nat). (leibniz) (nat -> bool) (\lambda m : nat. (match_nat_type) (bool) (false)  (\lambda q : nat. (leb)  n q) m) ((leb_body)  ((S)  n)) := \lambda n : nat. ((((sym_leibniz) (nat -> bool)) ((leb_body)  ((S)  n))) (\lambda m : nat. (match_nat_type) (bool) (false)  (\lambda q : nat. (leb)  n q) m)) ((eq_leb_body_S) (n)).
